SunVox for Android. Which version should be supported?

Which minimum Android version should be supported?

Poll ended at Sat Dec 31, 2011 10:31 am

1.5
3
2%
1.6
4
3%
2.0 - 2.2
52
35%
2.3 and above
90
60%
 
Total votes: 149

User avatar
NightRadio
Site Admin
Posts: 3488
Joined: Fri Jan 23, 2004 12:28 am
Location: Ekaterinburg. Russia
Contact:

SunVox for Android. Which version should be supported?

Post by NightRadio » Thu Dec 01, 2011 10:31 am

Please help me choose the minimum Android version for SunVox.

Zarkon
Posts: 36
Joined: Sat Jan 02, 2010 4:44 pm

Re: SunVox for Android. Which version should be supported?

Post by Zarkon » Thu Dec 01, 2011 10:59 am

I don't have an android :oops: , hoping people will help you by voting. Isn't app from 1.5 should work in higher androids version? Я имел ввиду если ты на 1.5 андроид портанёшь, то на старших версиях андроидов разве не пойдёт?

User avatar
NightRadio
Site Admin
Posts: 3488
Joined: Fri Jan 23, 2004 12:28 am
Location: Ekaterinburg. Russia
Contact:

Re: SunVox for Android. Which version should be supported?

Post by NightRadio » Thu Dec 01, 2011 11:15 am

The problem is that 2.3 has NativeActivity for easy C/C++ apps porting. But porting for 2.2 and below is much more tricky (Java + native calls) and such code may be more slow.

somelamp

Re: SunVox for Android. Which version should be supported?

Post by somelamp » Thu Dec 01, 2011 12:59 pm

Well, considering I run version 2.3, any option works great for me!

Honestly, I'm only posting because I'm absolutely psyched that you're bringing Sunvox to Android; something I was hoping for since I bought my HTC Evo Shift. With that said, I'm not sure what share of hardware running android still functions on 2.2 or lower, but I'm sure there would be enough gracious for your dedication to porting the project. Lower than 2.0 though, I'm not too sure it is worth you time, though again, nice for those still running on older versions of the platform.

I would say if you're willing to put forth the effort to truly bring your program to (almost) any hardware, go ahead and develop for 2.0 on onward. Otherwise, porting to 2.3 will do just fine bringing your wonderful program to the main market.

Happy coding mate!

lamp

User avatar
koral
Posts: 19
Joined: Tue May 24, 2011 5:51 am
Location: uk

Re: SunVox for Android. Which version should be supported?

Post by koral » Thu Dec 01, 2011 8:08 pm

Absolutely 2.3, most of the devices are running that nowadays, and so is mine :)

User avatar
SolarLune
Posts: 511
Joined: Tue Oct 26, 2010 9:54 pm
Contact:

Re: SunVox for Android. Which version should be supported?

Post by SolarLune » Fri Dec 02, 2011 12:25 am

I'm running 2.3 as well. Is it an issue to just work with what's easiest (2.3+)? I mean, if you don't have the latest Android OS, why not just upgrade? It's free, so...
Anywho, I'd say 2.3 and up is fine.

sergos
Posts: 4
Joined: Mon Jan 12, 2009 7:38 pm

Re: SunVox for Android. Which version should be supported?

Post by sergos » Fri Dec 02, 2011 11:50 am

I believe this will help

http://stackoverflow.com/questions/6961 ... pplication

Apparently more than 50% of market is 2.3+. Taking into account you need native level performance for generators - do not spend more time on "shaving this yak".

regards!

MissahSombrero
Posts: 140
Joined: Wed Jan 19, 2011 8:08 pm

Re: SunVox for Android. Which version should be supported?

Post by MissahSombrero » Sat Dec 03, 2011 8:33 pm

Now that I know sunvox android is coming im thinking motorolla atrix , dual core 1 ghz processor...
Last edited by MissahSombrero on Wed Dec 07, 2011 6:43 am, edited 1 time in total.

concretedog
Posts: 16
Joined: Mon Mar 29, 2010 2:17 am

Re: SunVox for Android. Which version should be supported?

Post by concretedog » Mon Dec 05, 2011 9:36 pm

I'm runnng 2.3.3 so 2.3 and above works for me.....Be a fantastic day when I can slap sunvox on my htc.

JustJohn

Re: SunVox for Android. Which version should be supported?

Post by JustJohn » Sat Dec 10, 2011 1:38 am

How long do you think development will take? That should help you decide on which level to target.
I would say if it's going to take 3 months or more you should just target the most current system. By the time it's ready for release the majority of users will be at 2.3 or higher.
Plus, being the application that it is, you probably want to take full advantage of the advancements in the most recent OS and hardware.

User avatar
NightRadio
Site Admin
Posts: 3488
Joined: Fri Jan 23, 2004 12:28 am
Location: Ekaterinburg. Russia
Contact:

Re: SunVox for Android. Which version should be supported?

Post by NightRadio » Sat Dec 10, 2011 4:34 pm

I think that minimum will be 2.3. NativeActivity + OpenGL + OpenSL. And development has begun! :)
There is the first screenshot from my LG Optimus Hub:
Image


User avatar
Zephemeros
Posts: 2
Joined: Sun Dec 11, 2011 2:48 pm

Re: SunVox for Android. Which version should be supported?

Post by Zephemeros » Sun Dec 11, 2011 2:52 pm

I like what I see :D
How much will it cost on the android market?

User avatar
NightRadio
Site Admin
Posts: 3488
Joined: Fri Jan 23, 2004 12:28 am
Location: Ekaterinburg. Russia
Contact:

Re: SunVox for Android. Which version should be supported?

Post by NightRadio » Sun Dec 11, 2011 4:36 pm

Probably $5, as on iOS market.

bousch
Posts: 13
Joined: Sun May 01, 2011 2:14 am

Re: SunVox for Android. Which version should be supported?

Post by bousch » Tue Dec 20, 2011 9:59 pm

Great to see Sunvox progress on the Android front... will be good to run it on my tablet. I'll gladly pay the 5 bucks...

Cheers, Bousch

Post Reply